#***********************************************************************************************************************************************
#*  
#*  (C) 2011     Magorzata Gliwa     Uniwersytet Ekonomiczny w Katowicach
#*  
#*  Skrypt do ksiki:
#*  "Analiza danych jakociowych i symbolicznych z wykorzystaniem programu R", C.H. Beck, Warszawa 2011
#*  
#*  Kod poniszy moe by modyfikowany, kopiowany i rozprowadzany na warunkach licencji GPL 2 (http://gnu.org.pl/text/licencja-gnu.html), 
#*  a w szczeglnoci pod warunkiem umieszczenia w zmodyfikowanym pliku widocznej informacji o dokonanych zmianach, wraz z dat ich dokonania. 
#*  
#***********************************************************************************************************************************************

library(infotheo)
library(grDevices)
dane<-read.csv2("bankruptcy.csv",header=TRUE,row.names=1,sep=",",dec=".")
options(OutDec=",")
attach(dane)
p<-dim(dane)[2]-1
#dyskretyzacja na przedziay o rwnej szerokoci za pomoc funkcji discretize
#liczb przedziaw ustalono na podstawie formuy Scotta
dane[,1:p]<-sapply(dane[,1:p],function(k) discretize(k,"equalwidth",nbins=nclass.scott(k)),simplify=TRUE)
#wywietlenie trzech pierwszych wierszy zdyskretyzowanego zbioru
print(dane[1:3,])
detach(dane)