#***********************************************************************************************************************************************
#*  
#*  (C) 2011     Marek Walesiak     Uniwersytet Ekonomiczny we Wrocawiu
#*  
#*  Skrypt do ksiki:
#*  "Analiza danych jakociowych i symbolicznych z wykorzystaniem programu R", C.H. Beck, Warszawa 2011.
#*  
#*  Kod poniszy moe by modyfikowany, kopiowany i rozprowadzany na warunkach licencji GPL 2 (http://gnu.org.pl/text/licencja-gnu.html), 
#*  a w szczeglnoci pod warunkiem umieszczenia w zmodyfikowanym pliku widocznej informacji o dokonanych zmianach, wraz z dat ich dokonania. 
#*  
#***********************************************************************************************************************************************

d<-read.csv2("maddala_data_pwn.csv",header=TRUE,row.names=1)
attach(d)
options(OutDec=",")
reg<-glm(D1~T+Y+LF+NW,binomial(link="logit"),data=d,x=TRUE,y=TRUE)
print("Miary dopasowania",quote=FALSE)
print("Kwadrat wspczynnika korelacji midzy wartociami empirycznymi i teoretycznymi",quote=FALSE)
rkwadrat<-cor(reg$y,reg$fitted.values,method="pearson")^2
print(rkwadrat)
print("R kwadrat Efrona",quote=FALSE)
efron<-(1-((sum((reg$y-reg$fitted.values)^2))/(sum(reg$y)-(sum(sum(reg$y)))^2/(nrow(d)))))
print(efron)
print("R kwadrat Nagelkerke",quote=FALSE)
Nagelkerke<-(1-exp((reg$dev-reg$null)/nrow(d)))/(1-exp(-reg$null/nrow(d)))
print(Nagelkerke)
print("R kwadrat McFaddena",quote=FALSE)
McFadden<-(1-(reg$dev)/(reg$null))
print(McFadden)
detach(d)