#***********************************************************************************************************************************************
#*  
#*  (C) 2011     Andrzej Bk     Uniwersytet Ekonomiczny we Wrocawiu
#*  
#*  Skrypt do ksiki:
#*  "Analiza danych jakociowych i symbolicznych z wykorzystaniem programu R", C.H. Beck, Warszawa 2011.
#*  
#*  Kod poniszy moe by modyfikowany, kopiowany i rozprowadzany na warunkach licencji GPL 2 (http://gnu.org.pl/text/licencja-gnu.html), 
#*  a w szczeglnoci pod warunkiem umieszczenia w zmodyfikowanym pliku widocznej informacji o dokonanych zmianach, wraz z dat ich dokonania. 
#*  
#***********************************************************************************************************************************************

#MNL (MultiNomial Logit) - wielomianowy model logitowy 
#(zmienne objaniajce opisuj respondentw)
#Model szacowany waon metod najmniejszych kwadratw
#Dane: D. Jaskowski [2008]
library("nnet")
options(OutDec=",")
dane<-read.csv2("stoki2.csv",header=TRUE)
print(dane[1:10, ])
#profil odniesienia domylny (pierwszy)
print("Profil odniesienia domylny (pierwszy). Zmienna objaniana - numer profilu")
mnl<-multinom(nrwybprof~wiek,data=dane)
print(mnl)
#profil odniesienia wybrany (ostatni)
print("Profil odniesienia wybrany (ostatni). Zmienna objaniana - etykieta profilu")
mnl<-multinom(relevel(factor(wybprof),ref="p9")~wiek,data=dane)
print(mnl)
#wicej zmiennych
print("Profil odniesienia wybrany (ostatni) - wicej zmiennych opisujcych respondentw")
mnl<-multinom(relevel(factor(wybprof),ref="p9")~wiek+plec+wyksztal+dochod+
zrodlo+miejsce,data=dane)
print(mnl)