#***********************************************************************************************************************************************
#*  
#*  (C) 2011     Andrzej Bk     Uniwersytet Ekonomiczny we Wrocawiu
#*  
#*  Skrypt do ksiki:
#*  "Analiza danych jakociowych i symbolicznych z wykorzystaniem programu R", C.H. Beck, Warszawa 2011.
#*  
#*  Kod poniszy moe by modyfikowany, kopiowany i rozprowadzany na warunkach licencji GPL 2 (http://gnu.org.pl/text/licencja-gnu.html), 
#*  a w szczeglnoci pod warunkiem umieszczenia w zmodyfikowanym pliku widocznej informacji o dokonanych zmianach, wraz z dat ich dokonania. 
#*  
#***********************************************************************************************************************************************

#MNL (MultiNomial Logit) - wielomianowy model logitowy (zmienne objaniajce opisuj respondentw)
#Model szacowany waon metod najmniejszych kwadratw
#Dane: D. Jaskowski [2008]
library("VGAM")
options(OutDec=",")
dane<-read.csv2("stoki2.csv",header=TRUE)
print(dane[1:10,])
attach(dane)
#profil odniesienia w VGAM - ostatni
print("Profil odniesienia ostatni. Zmienna objaniana - numer profilu")
mnl<-vglm(nrwybprof~dochod,family=multinomial(),data=dane)
print(summary(mnl))
print(exp(coef(mnl)))
#prawdopodobiestwa wyboru profilw w przekroju respondentw
Pw<-predict.vglm(mnl,type="response")
print("prawdopodobiestwa wyboru profilw dla pierwszych 10 respondentw")
print(Pw[1:10,],digits=4)
print("rednie prawdopodobiestwa wyboru profilw w badanej prbie")
Pws<-apply(Pw,2,"mean")		#rednie arytmetyczne kolumn
print(Pws,digits=4)
sum(Pws)
print("Prognozowanie prawdopodobiestw wyboru profilw na podstawie nowych wartoci zmiennych opisujcych respondentw")
#model dla zmiennych: wiek, plec
mnl<-vglm(wybprof~wiek+plec,family=multinomial(),data=dane)
print(summary(mnl))
#nowe wartoci zmiennych: wiek, plec
nw<-data.frame(wiek=min(wiek),plec=c(1,2))
print(nw)
pPr<-predict(mnl,newdata=nw,type="response")
print(pPr,digits=4)
sum(pPr[1,]); sum(pPr[2,])