#***********************************************************************************************************************************************
#*  
#*  (C) 2011     Andrzej Bk     Uniwersytet Ekonomiczny we Wrocawiu
#*  
#*  Skrypt do ksiki:
#*  "Analiza danych jakociowych i symbolicznych z wykorzystaniem programu R", C.H. Beck, Warszawa 2011.
#*  
#*  Kod poniszy moe by modyfikowany, kopiowany i rozprowadzany na warunkach licencji GPL 2 (http://gnu.org.pl/text/licencja-gnu.html), 
#*  a w szczeglnoci pod warunkiem umieszczenia w zmodyfikowanym pliku widocznej informacji o dokonanych zmianach, wraz z dat ich dokonania. 
#*  
#***********************************************************************************************************************************************

#LCA (Latent Class Analysis) - model klas ukrytych
#Estymacja z wykorzystaniem pakietu poLCA
#Dane: M. Waliszkiewicz [2009]
library(poLCA)
options(OutDec=",")
set.seed(321)
dane<-read.csv2("ogrod.csv",header=TRUE)
print(dane[1:10,1:13])
attach(dane)
#pytania dotyczce zakupu rolin, 2 klasy
model<-cbind(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12)~1
rosliny<-poLCA(model,dane,nclass=2,nrep=3,verbose=FALSE,graph=FALSE)
ps<-poLCA.reorder(rosliny$probs.start,order(rosliny$P,decreasing=FALSE))
rosliny<-poLCA(model,dane,nclass=2,probs.start=ps,verbose=FALSE,graph=TRUE)
print(rosliny)
detach(dane)