#***********************************************************************************************************************************************
#*  
#*  (C) 2011    Ewa Witek     Uniwersytet Ekonomiczny w Katowicach
#*  
#*  Skrypt do ksiki:
#*  "Analiza danych jakociowych i symbolicznych z wykorzystaniem programu R", C.H. Beck, Warszawa 2011.
#*  
#*  Kod poniszy moe by modyfikowany, kopiowany i rozprowadzany na warunkach licencji GPL 2 (http://gnu.org.pl/text/licencja-gnu.html), 
#*  a w szczeglnoci pod warunkiem umieszczenia w zmodyfikowanym pliku widocznej informacji o dokonanych zmianach, wraz z dat ich dokonania. 
#*  
#***********************************************************************************************************************************************

set.seed(123)
library("flexmix")
data("bioChemists")
options(OutDec=",")
mix_wybor<-stepFlexmix(art~.,data=bioChemists,k=1:8,model=FLXMRglm(family="poisson"))
wybor_BIC<-getModel(mix_wybor,"BIC")
print("Podzia na klasy wedug kryterium BIC")
print(wybor_BIC)
Model_mieszanek1<-FLXMRglmfix(family="poisson")
Model_mieszanek_parametry_1<-flexmix(art~fem+mar+kid5+phd+ment,data=bioChemists,cluster=posterior(wybor_BIC),model=Model_mieszanek1)
print("Prawdopodobiestwa a priori dla klas:")
print(summary(Model_mieszanek_parametry_1))
print("Oszacowane parametry modelu mieszanek 1:")
summary(refit(Model_mieszanek_parametry_1))